<?php


return  
    [
        'model' => [
            'model' => \Crm\Category\Models\Category::class,
            'table' => 'crm_category_categories',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'created_at', 'updated_at'],
            'appends' => [],
            'fillable' => ['parent_id',  'name',  'status',  'description',  'images',  'meta_title',  'meta_keyword',  'meta_tag',  'user_id',  'user_type'],
            'translatables' => [],
            'upload_folder' => 'category/category',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            [
                "key" => "parent_id", 
                "type" => "text", 
                "label" => 'category::category.label.parent_id', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "name", 
                "type" => "text", 
                "label" => 'category::category.label.name', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "description", 
                "type" => "text", 
                "label" => 'category::category.label.description', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "images", 
                "type" => "text", 
                "label" => 'category::category.label.images', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "meta_title", 
                "type" => "text", 
                "label" => 'category::category.label.meta_title', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "meta_keyword", 
                "type" => "text", 
                "label" => 'category::category.label.meta_keyword', 
                'sort' => true,
                'roles' => [],
            ],
            [
                "key" => "meta_tag", 
                "type" => "text", 
                "label" => 'category::category.label.meta_tag', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            [
                "key" => 'parent_id',
                "element" => 'numeric',
                "type" => 'numeric',
                "label" => 'category::category.label.parent_id',
                "placeholder" => 'category::category.placeholder.parent_id',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'name',
                "element" => 'text',
                "type" => 'text',
                "label" => 'category::category.label.name',
                "placeholder" => 'category::category.placeholder.name',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'description',
                "element" => 'text',
                "type" => 'text',
                "label" => 'category::category.label.description',
                "placeholder" => 'category::category.placeholder.description',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'images',
                "element" => 'text',
                "type" => 'text',
                "label" => 'category::category.label.images',
                "placeholder" => 'category::category.placeholder.images',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'meta_title',
                "element" => 'text',
                "type" => 'text',
                "label" => 'category::category.label.meta_title',
                "placeholder" => 'category::category.placeholder.meta_title',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'meta_keyword',
                "element" => 'text',
                "type" => 'text',
                "label" => 'category::category.label.meta_keyword',
                "placeholder" => 'category::category.placeholder.meta_keyword',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
            [
                "key" => 'meta_tag',
                "element" => 'text',
                "type" => 'text',
                "label" => 'category::category.label.meta_tag',
                "placeholder" => 'category::category.placeholder.meta_tag',
                "rules" => '',
                "group" => "main",
                "section" => "first",
                "col" => "6",
                "append" => null,
                "prepend" => null,
                "roles" => [],
                "attributes" => [
                    'wrapper' => [],
                    "label" => [],
                    "element" => [],

                ],
            ],
        ],

        'urls' => [
            'new' => [
                'url' => 'category/category/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'category/category/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'category/category',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'category/category',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'category/category',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'category/category',
                'method' => 'DELETE',
            ],
        ],
        'order' => [
            'created_at' => 'category::category.label.created_at',
            'name' => 'category::category.label.name',
            'status' => 'category::category.label.status',
        ],
        'groups' => [
            'main' => [
                'icon' => "mdi:account-supervisor-outline",
                'name' => "category::category.groups.main",
                'key' => "main",
                'title' => "category::category.groups.main",
            ],
            'details' => [
                'icon' => "fe:home",
                'name' => "category::category.groups.details",
                'key' => "documents",
                'title' => "category::category.groups.details",
            ],
            'images' => [
                'icon' => "fe:home",
                'name' => "category::category.groups.images",
                'key' => "documents",
                'title' => "category::category.groups.images",
            ],
            'settings' => [
                'icon' => "fe:home",
                'name' => "category::category.groups.settings",
                'key' => "documents",
                'title' => "category::category.groups.settings",
            ]
        ],
        'controller' => [
            'provider' => 'Crm',
            'package' => 'Category',
            'module' => 'Category',
        ],

        
        
    ];
